import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { IndicatorDisplayType } from "./IndicatorDisplayType";
import { DependencyProperty } from "igniteui-react-core";
import { TrendLineType } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { SeriesView } from "./SeriesView";
import { CategoryFrame } from "./CategoryFrame";
import { Axis } from "./Axis";
import { Point, IList$1, Type } from "igniteui-react-core";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { ITrendLineManager } from "./ITrendLineManager";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { Clipper } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { LegendItemBadgeShape } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class FinancialIndicator extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected get_em(): boolean;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    x6: FinancialIndicatorView;
    constructor();
    yj(a: boolean): void;
    protected yb(a: Point, b: Point, c: boolean): boolean;
    protected bu(): SeriesHitTestMode;
    tu(a: Point): Rect;
    f5(a: Point, b: boolean): boolean;
    protected np(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    x8: IndicatorDisplayType;
    protected get_x7(): IndicatorDisplayType;
    get x7(): IndicatorDisplayType;
    ye: number;
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    get yw(): Brush;
    set yw(a: Brush);
    static readonly ym: DependencyProperty;
    trendLineThickness: number;
    yy: PenLineCap;
    yx: DoubleCollection;
    trendLinePeriod: number;
    protected yg(): number;
    yf: number;
    private _indicatorColumn;
    get indicatorColumn(): List$1<number>;
    set indicatorColumn(a: List$1<number>);
    protected x5: AxisRange;
    protected abstract x9(a: number, b: number): boolean;
    protected abstract yc(a: number, b: number): IList$1<string>;
    protected pa(a: any, b: string, c: any, d: any): void;
    ia(a: Point, b: boolean, c: boolean): number;
    jg(a: Point, b: boolean): number;
    je(a: Point, b: boolean): number;
    protected get_gl(): boolean;
    private ya;
    private yl;
    aq(a: Axis): AxisRange;
    fp(a: any): boolean;
    gm(a: Rect, b: Rect, c: SeriesView): boolean;
    xh(a: CategoryFrame, b: FinancialSeriesView): void;
    nk(a: boolean, b: SeriesView): void;
    protected ul(): CategoryTransitionInMode;
    xj(a: CategoryFrame, b: FinancialSeriesView): void;
    protected qf(): void;
    protected yk(): void;
    protected n2(a: any): void;
    protected a7(a: LegendItemBadgeShape): LegendItemBadgeShape;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialIndicatorBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: FinancialIndicatorView;
    getBucket(a: number): number[];
}
/**
 * @hidden
 */
export declare class FinancialIndicatorView extends FinancialSeriesView {
    static $t: Type;
    b6: FinancialIndicator;
    constructor(a: FinancialIndicator);
    protected b1(): FinancialBucketCalculator;
    au(): void;
    private readonly b9;
    private cj;
    private cc;
    cx: Path;
    ct: Path;
    cy: Path;
    cu: Path;
    cz: Path;
    cv: Path;
    cw: Path;
    cs: Path;
    private b7;
    get b8(): ITrendLineManager;
    set b8(a: ITrendLineManager);
    get ca(): boolean;
    cb(a: boolean): void;
    ch(): void;
    cf(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: Clipper): void;
    cd(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: number, f: Clipper): void;
    ce(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: boolean, e: number): void;
    ci(): void;
    private cp;
    private cr;
    private cq;
    private co;
    private cl;
    private cn;
    private cm;
    private ck;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    protected a7(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    cg(): void;
}
